package com.slodon.b2b2c.vo.member;

import com.slodon.b2b2c.member.pojo.MemberBankAccount;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装提现账号VO对象
 * @author wuxy
 * @date 2022.01.26 20:49
 */
@Data
public class MemberBankAccountVO {

    @ApiModelProperty("账号id")
    private Integer accountId;

    @ApiModelProperty("账户code：UNIONPAY；ALIPAY,WXPAY")
    private String accountCode;

    @ApiModelProperty("账户名称")
    private String accountName;

    @ApiModelProperty("账户号码（银行账号，支付宝/微信账号）")
    private String accountNumber;

    @ApiModelProperty("银行名称（如为第三方支付直接填微信、支付宝）")
    private String bankName;

    @ApiModelProperty("是否最近提现账号：0-否；1-是")
    private Integer isLast;

    public MemberBankAccountVO(MemberBankAccount memberBankAccount) {
        this.accountId = memberBankAccount.getAccountId();
        this.accountCode = memberBankAccount.getAccountCode();
        this.accountName = memberBankAccount.getAccountName();
        this.accountNumber = memberBankAccount.getAccountNumber();
        this.bankName = memberBankAccount.getBankName();
        this.isLast = memberBankAccount.getIsLast();
    }
}
